org.postgresql

## Interface PGNotification

    public interface PGNotification

This interface defines the public PostgreSQL extension for Notifications

### Method Summary

Methods
`java.lang.String` `getName()` Returns name of this notification
`java.lang.String` `getParameter()` Returns additional information from the notifying process.
`int` `getPID()` Returns the process id of the backend process making this notification

### Method Detail

#### getName

    java.lang.String getName()

Returns name of this notification

Since:
  7.3

#### getPID

    int getPID()

Returns the process id of the backend process making this notification

Since:
  7.3

#### getParameter

    java.lang.String getParameter()

Returns additional information from the notifying process. This feature has only been implemented in server versions 9.0 and later, so previous versions will always return an empty String.

Since:
  8.0